summaryrefslogtreecommitdiffstats
path: root/network/xdman/xdman.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/xdman/xdman.SlackBuild')
-rw-r--r--network/xdman/xdman.SlackBuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/network/xdman/xdman.SlackBuild b/network/xdman/xdman.SlackBuild
new file mode 100644
index 0000000000..83820b7e34
--- /dev/null
+++ b/network/xdman/xdman.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for xdman
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xdman
+VERSION=${VERSION:-8.0.29}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+sys_arch=${sys_arch:-$(uname -m)}
+SRCNAM=${SRCNAM:-xdman_gtk_}
+
+case "$sys_arch" in
+ x86_64)
+ DEBARCH=amd64
+ ARCH=x86_64
+ LIBDIRSUFFIX="64"
+ ;;
+ *) echo "This program will not build on $sys_arch platform" && exit 1 ;;
+esac
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -pv $PRGNAM-$VERSION
+ar -x $CWD/$SRCNAM${VERSION}_${DEBARCH}.deb --output $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf data.tar.xz -C $PKG
+cd .. && cd $PKG
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod 0750 $PKG/opt/xdman/libmscordaccore.so
+chmod 0750 $PKG/opt/xdman/libhostfxr.so
+chmod 0750 $PKG/opt/xdman/libmscordbi.so
+chmod 0750 $PKG/opt/xdman/libcoreclr.so
+chmod 0750 $PKG/opt/xdman/libSystem.Globalization.Native.so
+chmod 0750 $PKG/opt/xdman/SQLite.Interop.dll
+chmod 0750 $PKG/opt/xdman/libSystem.Native.so
+chmod 0750 $PKG/opt/xdman/libhostpolicy.so
+chmod 0750 $PKG/opt/xdman/libcoreclrtraceptprovider.so
+chmod 0750 $PKG/opt/xdman/libSystem.Security.Cryptography.Native.OpenSsl.so
+chmod 0750 $PKG/opt/xdman/createdump
+chmod 0750 $PKG/opt/xdman/libSystem.Net.Security.Native.so
+chmod 0750 $PKG/opt/xdman/libSystem.IO.Compression.Native.so
+chmod 0750 $PKG/opt/xdman/libdbgshim.so
+chmod 0750 $PKG/opt/xdman/libclrjit.so
+
+cd ..
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rvf $PKG/usr/share/applications/xdm-app.destop
+install -m0644 $CWD/xdm-app.desktop -t $PKG/usr/share/applications/
+
+enscript -B -o $TMP/GPL-2.0.ps $CWD/gpl-2.0.txt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a $TMP/GPL-2.0.ps $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE